Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.ldap
Interface LDAPSearchControls

All Known Implementing Classes:
  LDAPSearchControlsImpl

    public interface LDAPSearchControls

LDAP Search Controls interface. This defines methods for setting the search controls.

Version:
  $Revision: 1.3 $
Author:

Method Summary
`java.util.HashMap` | `getControls()` Method to retrieve the Controls set
`boolean` | `getPageControlCriticality()` Method to retrieve the criticality set for the PagedResultsControl
`int` | `getPageSize()` Method to retrieve the page size set for the search operation
`java.lang.String` | `getSortAttributes()` Method to retrieve the list of attributes based on which the result is to be sorted
`boolean` | `getSortControlCriticality()` Method to retrieve the criticality set for the SortControl
`void` | `removePagedResultsControl()` Method to remove the PagedResultsControl from the context
`void` | `removeSortControl()` Method to remove the SortControl from the context
`void` | `reset()` Method to reset the values
`void` | `setPageControlCriticality(boolean pageControlCriticality)` Method to set the criticality for the PagedResultsControl.
`void` | `setPageSize(int pageSize)` Method to set the page size for the search operation
`void` | `setSortAttributes(java.lang.String sortAttributes)` Method to set the list of attributes based on which the result is to be sorted
`void` | `setSortControlCriticality(boolean sortControlCriticality)` Method to set the criticality for the SortControl.

Method Detail

### getSortAttributes

    java.lang.String getSortAttributes()
                                       throws LDAPApplicationException

  Method to retrieve the list of attributes based on which the result is to be sorted

  Returns:
    a String that contains the list of attributes delimited by '|' symbol.
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### setSortAttributes

    void setSortAttributes(java.lang.String sortAttributes)
                           throws LDAPApplicationException

  Method to set the list of attributes based on which the result is to be sorted

  Parameters:
    `a` - String that contains the list of attributes delimited by '|' symbol.
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getSortControlCriticality

    boolean getSortControlCriticality()
                                      throws LDAPApplicationException

  Method to retrieve the criticality set for the SortControl

  Returns:
    true if the SortControl is set as CRITICAL
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### setSortControlCriticality

    void setSortControlCriticality(boolean sortControlCriticality)
                                   throws LDAPApplicationException

  Method to set the criticality for the SortControl.

  Parameters:
    `true` - for setting the SortControl as CRITICAL
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getPageSize

    int getPageSize()
                    throws LDAPApplicationException

  Method to retrieve the page size set for the search operation

  Returns:
    an integer value representing the page size
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### setPageSize

    void setPageSize(int pageSize)
                     throws LDAPApplicationException

  Method to set the page size for the search operation

  Parameters:
    `an` - integer value representing the page size
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getPageControlCriticality

    boolean getPageControlCriticality()
                                      throws LDAPApplicationException

  Method to retrieve the criticality set for the PagedResultsControl

  Returns:
    true if the PagedResultsControl is set as CRITICAL
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### setPageControlCriticality

    void setPageControlCriticality(boolean pageControlCriticality)
                                   throws LDAPApplicationException

  Method to set the criticality for the PagedResultsControl.

  Parameters:
    `true` - for setting the PagedResultsControl as CRITICAL
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### removeSortControl

    void removeSortControl()
                           throws LDAPApplicationException

  Method to remove the SortControl from the context

  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### removePagedResultsControl

    void removePagedResultsControl()
                                   throws LDAPApplicationException

  Method to remove the PagedResultsControl from the context

  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getControls

    java.util.HashMap getControls()
                                  throws LDAPApplicationException

  Method to retrieve the Controls set

  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### reset

    void reset()

  Method to reset the values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD